class MyWatcher expands SpawnNotify;

var() float ChunkDamage;

event actor SpawnNotification( actor A)
{
	if (Weapon(A) != None)
	{
		if (LWT(Owner).CheckWeap(Weapon(A)))  //  Checks if weapon exists in current list, adds it if not, adjusts settings if it does
		{
			return A;
		}
	}
	if ((A.IsA('Chunk')) || (A.IsA('UTChunk')))
	{
		Projectile(A).Damage = ChunkDamage;
	}
	return A;
}

defaultproperties
{
    ChunkDamage=16
}
